package cn.com.qmth.am.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import cn.com.qmth.am.enums.DataType;

@Component
public class SysProperty {
	
    @Value("${com.qmth.solar.app-version}")
    private String version;

    @Value("${am.data-dir}")
    private String dataDir;

    @Value("${am.ocr-task.enable}")
    private Boolean ocrTaskEnable;
    
    @Value("${am.marking-task.enable}")
    private Boolean markingTaskEnable;
    
    @Value("${am.image-server}")
    private String imageServer;

    @Value("${am.data-type}")
    private DataType dataType;

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}

	public String getImageServer() {
		return imageServer;
	}

	public void setImageServer(String imageServer) {
		this.imageServer = imageServer;
	}

	public DataType getDataType() {
		return dataType;
	}

	public void setDataType(DataType dataType) {
		this.dataType = dataType;
	}

	public String getDataDir() {
		return dataDir;
	}

	public void setDataDir(String dataDir) {
		this.dataDir = dataDir;
	}

	public Boolean getOcrTaskEnable() {
		return ocrTaskEnable;
	}

	public void setOcrTaskEnable(Boolean ocrTaskEnable) {
		this.ocrTaskEnable = ocrTaskEnable;
	}

	public Boolean getMarkingTaskEnable() {
		return markingTaskEnable;
	}

	public void setMarkingTaskEnable(Boolean markingTaskEnable) {
		this.markingTaskEnable = markingTaskEnable;
	}
	
}