package cn.com.qmth.am.service;

import java.io.InputStream;
import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;

import cn.com.qmth.am.bean.AnswerImageDto;
import cn.com.qmth.am.bean.ImportResult;
import cn.com.qmth.am.entity.QuestionEntity;
import cn.com.qmth.am.entity.StudentEntity;
import cn.com.qmth.am.entity.StudentScoreEntity;
import cn.com.qmth.am.enums.DataStatus;

/**
 * 类注释
 */
public interface StudentService  extends IService<StudentEntity> {

	void importStudent();

	ImportResult disposeFile(InputStream inputStream);

	List<StudentEntity> findToDispose();

	void buildImage(StudentEntity student, Map<Long,QuestionEntity> quetions);

	List<StudentScoreEntity> getOrCreateScores(StudentEntity student, Map<Long,QuestionEntity> quetions);

	void createSlice(StudentScoreEntity score, Map<Long, QuestionEntity> quetions,Map<Integer,AnswerImageDto> answerImages);

	void updateStatus(Long id,DataStatus to);

	void resetStatus();

	int countBy(Long examId, DataStatus success);

	void reset(Long examId, String subjectCode);

	void clear(Long examId, String subjectCode);

	List<StudentEntity> findToMrking();


}
