package cn.com.qmth.am.consumer;

import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Service;

import cn.com.qmth.am.entity.QuestionEntity;
import cn.com.qmth.am.entity.StudentEntity;
import cn.com.qmth.am.service.StudentService;

@Scope("prototype")
@Service
public class BuildImageConsumer implements Runnable {
    private StudentEntity student;
    private Map<Long,QuestionEntity> quetions;
    @Autowired
    private StudentService studentService;

    @Override
    public void run() {
		studentService.buildImage(student,quetions);
    }


	public StudentEntity getStudent() {
		return student;
	}


	public void setStudent(StudentEntity student) {
		this.student = student;
	}


	public Map<Long,QuestionEntity> getQuetions() {
		return quetions;
	}


	public void setQuetions(Map<Long,QuestionEntity> quetions) {
		this.quetions = quetions;
	}


}
